<!DOCTYPE html>
<html>
<head>
   <title>Patern 9</title>
</head>
<body>

   <div id="canvas"></div>
   
   <script>
      var star = '';
      var space = '';
      var baris = 9
      var tempStar = 1;
      var tempSpace = 4;
      var counter = 0;
      for (let i = 0; i < baris; i++) {
         star = '';        
         space = '';        
         for (let j = 0; j < tempStar; j++) {
            star = star + '*';
         }
         for (let k = 0; k < tempSpace; k++) {
            space = space + '&nbsp;&nbsp;';
         }
         counter++;
         if (counter < 5) {
            tempStar++;
            tempSpace--;
         } else {
            tempStar--;
            tempSpace++;
         }
         // console.log(space+star); 
         document.writeln(space+star);         
         document.writeln('<br>');        
      }
   </script>
</body>
</html>